std::__detail::_List_node_header Struct Reference

`#include <stl_list.h>`

Inheritance diagram for std::__detail::_List_node_header:
[legend]

## Public Member Functions

| _List_node_header (_List_node_header &&__x) noexcept
void | _M_hook (_List_node_base *const __position) noexcept
void | _M_init () noexcept
void | _M_move_nodes (_List_node_header &&__x)
void | _M_reverse () noexcept
void | _M_transfer (_List_node_base *const __first, _List_node_base *const __last) noexcept
void | _M_unhook () noexcept

## Static Public Member Functions

static void | swap (_List_node_base &__x, _List_node_base &__y) noexcept

## Public Attributes

_List_node_base * | _M_next
_List_node_base * | _M_prev

## Detailed Description

The list node header.

Definition at line 103 of file stl_list.h.

## Constructor & Destructor Documentation

## _List_node_header() [1/2]

std::__detail::_List_node_header::_List_node_header | ( |  | ) |

inline noexcept

Definition at line 109 of file stl_list.h.

## _List_node_header() [2/2]

std::__detail::_List_node_header::_List_node_header | ( | _List_node_header && | __x | ) |

inline noexcept

Definition at line 113 of file stl_list.h.

## Member Function Documentation

## _M_init()

void std::__detail::_List_node_header::_M_init | ( |  | ) |

inline noexcept

Definition at line 149 of file stl_list.h.

## _M_move_nodes()

void std::__detail::_List_node_header::_M_move_nodes | ( | _List_node_header && | __x | ) |

inline

Definition at line 129 of file stl_list.h.

## Member Data Documentation

## _M_next

_List_node_base* std::__detail::_List_node_base::_M_next

inherited

Definition at line 82 of file stl_list.h.

## _M_prev

_List_node_base* std::__detail::_List_node_base::_M_prev

inherited

Definition at line 83 of file stl_list.h.

The documentation for this struct was generated from the following file:

- stl_list.h